//////////////////////////////////////////////////////////////
// Copyright (C) 2013-2022 CEA/DES
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation, either version 3 of the License, or any
// later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//////////////////////////////////////////////////////////////
/*!
 \file   UDisableTest.h
 \author Maud Salvoldi
 \date   mar nov 29 16:42:35 CET 2011
 

 */

#ifndef UDISABLETEST_H
#define UDISABLETEST_H

#include "TString.h"
#include "Rtypes.h"

//Bool_t _bIgnoreFailedTest;
#define  URANIE_IGNORED_TEST() \
           cout << "\n Test ignored" << endl ; \
           return ; 
#define  URANIE_DISABLE_TEST()  CPPUNIT_ASSERT_MESSAGE("Failed: this test is failing, pleased fix!",false);

#define URANIE_NODEVELOPPED_TEST()\
  cout << "\n  Test no developped because method no developped" << endl; \
  return;\

#define URANIE_INBUILDING_TEST()\
  cout << "\n  Test in building" << endl; \
  return;\

#endif
