//////////////////////////////////////////////////////////////
// Copyright (C) 2013-2022 CEA/DES
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation, either version 3 of the License, or any
// later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////
// $Id$
// $Author$
// $Date$
// $Revision$
// $State$
//////////////////////////////////////////////////////////////
/*!
 \file   Launcher.h
 \author Fabrice Gaudier <fabrice.gaudier@cea.fr>
 \date   mon oct 9th 11:37:19 CEST 2006
 
 \brief Definition of constants for the package  URANIE::Launcher
 
 */
#include <iostream>
using std::cout;
using std::endl;

#define ID_LAUNCHER 129

#ifdef WITH_TRACE
#define FUNCT_TRACE(...)						\
  cout << endl << " ** " <<  __FILE__ << "::" << __LINE__ << " -- trace1[" << __PRETTY_FUNCTION__ << "] -- trace2[" << __FUNCTION__ << "] **" << endl;
#else
#define FUNCT_TRACE();
#endif
