from rootlogon import *

ncpu = 7

## OS abstraction
to_null = " >> /dev/null"
mpi_options = " -oversubscribe"
python_exec = " python3"
if ROOT.gSystem.GetBuildArch() == "win32":
    to_null = " > NUL"
    mpi_options = ""
    python_exec = python_exec[:-1]

## Run the macro with MPI
mpi_command = "mpiexec -n " + str(ncpu) + mpi_options + python_exec + " reoptimizeZoneBiSubMpi.py " + to_null
ROOT.gSystem.Exec(mpi_command)
    
    
## Get the outputs into the TDS
tds = DataServer.TDataServer("tdsvzr","pouet")
tds.fileDataRead( "__coeurPy__.dat" )


 