{
  // Create a TDataServer
  TDataServer * tds = new TDataServer();
  // Load a database in an ASCII file
  tds->fileDataRead("flowrateUniformDesign.dat");
  
  // Graph
  TCanvas  *Canvas = new TCanvas("c2", "Graph for the Macro",5,64,1270,667);
  // Visualisation
  tds->Draw("ystar:rw");
  
  // Sensitivity analysis
  TRegression *treg = new TRegression(tds, "rw:r:tu:tl:hu:hl:l:kw", "ystar", "src");
  treg->computeIndexes();
    
  treg->drawIndexes("Flowrate", "", "hist,first");
  //treg->getResultTuple()->Scan();
  
  // Graph
  TCanvas *c = (TCanvas *)(gROOT->FindObject("__sensitivitycan__0"));
  TCanvas  *can = new TCanvas("c1", "Graph for the Macro sensitivityDataBaseFlowrate",5,64,1270,667);
  TPad *pad = new TPad("pad","pad",0, 0.03, 1, 1); pad->Draw();
  pad->Divide(2);
  pad->cd(1);
  Canvas->DrawClonePad();
  pad->cd(2);
  c->DrawClonePad();
  
}
  