//////////////////////////////////////////////////////////////
// Copyright (C) 2013-2022 CEA/DES
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation, either version 3 of the License, or any
// later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////
// $Id$
// $Author$
// $Date$
// $Revision
// $State$
//////////////////////////////////////////////////////////////
/*!
 \file   ClassName.cxx
 \author Fabrice Gaudier <fabrice.gaudier@cea.fr>
 \date   DateName
 
 \brief Implementation of the class URANIE::Optimizer::ClassName
 
 */
using namespace std;

#include "ClassName.h"

ClassImp (URANIE::Optimizer::ClassName)

namespace URANIE
{
namespace Optimizer
{
ClassName::ClassName()
{
    cout << "constructs ClassName" << endl;
}
ClassName::~ClassName()
{
    cout << "destructs ClassName" << endl;
}

void ClassName::printLog(Option_t *option)
{
    cout << "ClassName::printLog[" << option << "]" << endl;
}

} // Fin du namespace Optimizer
} // Fin du namespace URANIE

