//////////////////////////////////////////////////////////////
// Copyright (C) 2013-2022 CEA/DES
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or any 
// later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////
// $Id$
// $Author$
// $Date$
// $Revision 1.2 $
// $State$
//////////////////////////////////////////////////////////////
/*!
 \file   vzr_deprecated.c
 \author Gilles ARNAUD <Gilles.Arnaud@cea.fr>
 \date    2009-06-29.14.21.12

 \brief undefined :-(
 */

#include <stdio.h>

#include "vizir.h"

//extern vzr_t *vizir1_vzr_multi(int, int);
//extern vzr_t *vizir1_vzr_mono(int, double);

vzr_t *vzr_mono_contraint(int a, double b, int c)
{
    char *def[2] =
    { "vzr_mono_contraint", "vizir1_vzr_monoConstraint" };
    printf("WARNING: %s is deprecated use %s instead\n", def[0], def[1]);
    return vizir1_vzr_monoConstraint(a, b, c);
}

vzr_t *vzr_multi_contraint(int a, int b, int c)
{
    char *def[2] =
    { "vzr_multi_contraint", "vizir1_vzr_multiConstraint" };
    printf("WARNING: %s is deprecated use %s instead\n", def[0], def[1]);
    return vizir1_vzr_multiConstraint(a, b, c);
}

//extern vzr_t *vizir1_vzr_init(int, int, int, int, double);

//extern void vizir1_vzr_setLabel(vzr_t *, char *);
void vzr_setTauxSurvie(vzr_t *a, double b)
{
    char *def[2] =
    { "vzr_setTauxSurvie", "vizir1_vzr_setSurvivalRate" };
    printf("WARNING: %s is deprecated use %s instead\n", def[0], def[1]);
    return vizir1_vzr_setSurvivalRate(a, b);
}

void vzr_setHomozigotProb(vzr_t *a, double b)
{
    char *def[2] =
    { "vzr_setHomozigotProb", "vizir1_vzr_setHomozygoteRate" };
    printf("WARNING: %s is deprecated use %s instead\n", def[0], def[1]);
    return vizir1_vzr_setHomozygoteRate(a, b);
}

void vzr_setMutationProb(vzr_t *a, double b)
{
    char *def[2] =
    { "vzr_setMutationProb", "vizir1_vzr_setMutationRate" };
    printf("WARNING: %s is deprecated use %s instead\n", def[0], def[1]);
    return vizir1_vzr_setMutationRate(a, b);
}

void vzr_setNaissanceBiais(vzr_t *a, double b)
{
    char *def[2] =
    { "vzr_setNaissanceBiais", "vizir1_vzr_setParentsBias" };
    printf("WARNING: %s is deprecated use %s instead\n", def[0], def[1]);
    return vizir1_vzr_setParentsBias(a, b);
}

void vzr_setOutlierFacteur(vzr_t *a, double b)
{
    char *def[2] =
    { "vzr_setOutlierFacteur", "vizir1_vzr_setOutlierFactor" };
    printf("WARNING: %s is deprecated use %s instead\n", def[0], def[1]);
    return vizir1_vzr_setOutlierFactor(a, b);
}

void vzr_setOneGeneMutationProb(vzr_t *a, double b)
{
    char *def[2] =
    { "vzr_setOneGeneMutationProb", "vizir1_vzr_setOneGeneMutationRate" };
    printf("WARNING: %s is deprecated use %s instead\n", def[0], def[1]);
    return vizir1_vzr_setOneGeneMutationRate(a, b);
}

void vzr_setNombreGeneDiscret(vzr_t *a, int b)
{
    char *def[2] =
    { "vzr_setNombreGeneDiscret", "vizir1_vzr_setCombinatorialSize" };
    printf("WARNING: %s is deprecated use %s instead\n", def[0], def[1]);
    return vizir1_vzr_setCombinatorialSize(a, b);
}

vzrfitnessbuild_t *vzrfunstd_classe(int (*a)(vzrgene_t*, double*, void *),
        void *b)
{
    char *def[2] =
    { "vzrfunstd_classe", "vizir1_vzrfunstd_create" };
    printf("WARNING: %s is deprecated use %s instead\n", def[0], def[1]);
    return vizir1_vzrfunstd_create(a, b);
}

void vzr_setFonctionEvaluation(vzr_t *a, vzrfitnessbuild_t *b)
{
    char *def[2] =
    { "vzr_setFonctionEvaluation", "vizir1_vzr_setFitness" };
    printf("WARNING: %s is deprecated use %s instead\n", def[0], def[1]);
    return vizir1_vzr_setFitness(a, b);
}

void vzr_setOperateurCroisement(vzr_t *a, vzrcrossoverbuild_t *b)
{
    char *def[2] =
    { "vzr_setOperateurCroisement", "vizir1_vzr_setCrossover" };
    printf("WARNING: %s is deprecated use %s instead\n", def[0], def[1]);
    return vizir1_vzr_setCrossover(a, b);
}

int vzr_setTaille(vzr_t *a, int b, int c)
{
    char *def[2] =
    { "vzr_setTaille", "vizir1_vzr_build" };
    printf("WARNING: %s is deprecated use %s instead\n", def[0], def[1]);
    return vizir1_vzr_build(a, b, c);
}

/* run */
void vzr_evoluer(vzr_t *a)
{
    char *def[2] =
    { "vzr_evoluer", "vzr_run" };
    printf("WARNING: %s is deprecated use %s instead\n", def[0], def[1]);
    return vizir1_vzr_run(a);
}

// extern void vizir1_vzr_start(vzr_t *a);
//extern void vizir1_vzr_stop(vzr_t *);
//extern void vizir1_vzr_wait(vzr_t *);

int vzr_isAlive(vzr_t *a)
{
    char *def[2] =
    { "vzr_isAlive", "vizir1_vzr_running" };
    printf("WARNING: %s is deprecated use %s instead\n", def[0], def[1]);
    return vizir1_vzr_running(a);
}

/* result */
vzrgene_t **vzr_getGenotype(vzr_t *a, int b)
{
    static int memo = 1;
    char *def[2] =
    { "vzr_getGenotype", "vizir1_vzr_genotype" };
    if (memo)
        printf("WARNING: %s is deprecated use %s instead\n", def[0], def[1]);
    memo = 0;
    return vizir1_vzr_genotype(a, b);
}

vzrgene_t *vzr_getPhenotype(vzr_t *a, int b)
{
    static int memo = 1;
    char *def[2] =
    { "vzr_getPhenotype", "vizir1_vzr_phenotype" };
    if (memo)
        printf("WARNING: %s is deprecated use %s instead\n", def[0], def[1]);
    memo = 0;
    return vizir1_vzr_phenotype(a, b);
}

double *vzr_getCritere(vzr_t *a, int b)
{
    static int memo = 1;
    char *def[2] =
    { "vzr_getCritere", "vzr_objective" };
    if (memo)
        printf("WARNING: %s is deprecated use %s instead\n", def[0], def[1]);
    memo = 0;
    return vizir1_vzr_objective(a, b);
}

double vzr_getRang(vzr_t *a, int b)
{
    static int memo = 1;
    char *def[2] =
    { "vzr_getRank", "vizir1_vzr_rank" };
    if (memo)
        printf("WARNING: %s is deprecated use %s instead\n", def[0], def[1]);
    memo = 0;
    return vizir1_vzr_rank(a, b);
}

double vzr_getRangSoft(vzr_t *a, int b)
{
    static int memo = 1;
    char *def[2] =
    { "vzr_getRangSoft", "vzr_constraintRank" };
    if (memo)
        printf("WARNING: %s is deprecated use %s instead\n", def[0], def[1]);
    memo = 0;
    return vzr_constraintRank(a, b);
}

double vzr_getRangFun(vzr_t *a, int b)
{
    static int memo = 1;
    char *def[2] =
    { "vzr_getRangFun", "vzr_objectiveRank" };
    if (memo)
        printf("WARNING: %s is deprecated use %s instead\n", def[0], def[1]);
    memo = 0;
    return vzr_objectiveRank(a, b);
}

int vzr_getNombreEvaluation(vzr_t *a)
{
    char *def[2] =
    { "vzr_getNombreEvaluation", "vizir1_vzr_birthCount" };
    printf("WARNING: %s is deprecated use %s instead\n", def[0], def[1]);
    return vizir1_vzr_birthCount(a);
}

int vzr_getNombreGeneration(vzr_t *a)
{
    char *def[2] =
    { "vzr_getNombreGeneration", "vizir1_vzr_generationCount" };
    printf("WARNING: %s is deprecated use %s instead\n", def[0], def[1]);
    return vizir1_vzr_generationCount(a);
}

int vzr_getNombreSurvivant(vzr_t *a)
{
    char *def[2] =
    { "vzr_getNombreSurvivant", "vizir1_vzr_survivorSize" };
    printf("WARNING: %s is deprecated use %s instead\n", def[0], def[1]);
    return vizir1_vzr_survivorSize(a);
}

int vzr_getTaillePopulation(vzr_t *a)
{
    char *def[2] =
    { "vzr_getTaillePopulation", "vizir1_vzr_populationSize" };
    printf("WARNING: %s is deprecated use %s instead\n", def[0], def[1]);
    return vizir1_vzr_populationSize(a);
}

int vzr_getNombreEmigre(vzr_t *a)
{
    char *def[2] =
    { "vzr_getNombreEmigre", "vizir1_vzr_emigrationCount" };
    printf("WARNING: %s is deprecated use %s instead\n", def[0], def[1]);
    return vizir1_vzr_emigrationCount(a);
}

int vzr_getNombreImigre(vzr_t *a)
{
    char *def[2] =
    { "vzr_getNombreImigre", "vizir1_vzr_immigrationCount" };
    printf("WARNING: %s is deprecated use %s instead\n", def[0], def[1]);
    return vizir1_vzr_immigrationCount(a);
}

/* distribution */
int vzr_getMigrant(vzr_t *a, vzrgene_t **b)
{
    static int memo = 1;
    char *def[2] =
    { "vzr_getMigrant", "vzr_emigrate" };
    if (memo)
        printf("WARNING: %s is deprecated use %s instead\n", def[0], def[1]);
    memo = 0;
    return vzr_emigrate(a, b);
}

int vzr_putMigrant(vzr_t *a, vzrgene_t **b)
{
    static int memo = 1;
    char *def[2] =
    { "vzr_putMigrant", "vzr_immigrate" };
    if (memo)
        printf("WARNING: %s is deprecated use %s instead\n", def[0], def[1]);
    memo = 0;
    return vzr_immigrate(a, b);
}

//extern void vzr_setPileEmpty(vzr_t *);
//extern void vizir1_vzr_reset(vzr_t *);

/* destruction */
//extern void vizir1_vzr_dealloc(vzr_t *);
