//////////////////////////////////////////////////////////////
// Copyright (C) 2013-2022 CEA/DES
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or any 
// later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////
// $Id$
// $Author$
// $Date$
// $Revision 1.2 $
// $State$
//////////////////////////////////////////////////////////////
/*!
 \file   vzr_mt19937ar.h
 \author Gilles ARNAUD <Gilles.Arnaud@cea.fr>
 \date    2008-03-17.16.19.34

 \brief undefined :-(
 */

#ifndef __MT19937AR__
#define __MT19937AR__

extern void vizir1_init_genrand(unsigned long);
extern void vizir1_init_by_array(unsigned long[], int);

extern double vizir1_genrand_real1(void);
extern double vizir1_genrand_real2(void);
extern double vizir1_genrand_real3(void);
extern long vizir1_genrand_int(long);

#endif
