//////////////////////////////////////////////////////////////
// Copyright (C) 2013-2022 CEA/DES
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or any 
// later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////
// $Id$
// $Author$
// $Date$
// $Revision 1.2 $
// $State$
//////////////////////////////////////////////////////////////
/*!
 \file   vzr_survivre.h
 \author Gilles ARNAUD <Gilles.Arnaud@cea.fr>
 \date    2008-03-19.09.17.55

 \brief selection des individus
 */

#ifndef __SURVIVRE__
#define __SURVIVRE__

extern struct vzrfitnessbuild *vizir1_vzrfunstd_create(
        int (*)(vzrgene_t*, double*, void*), void*);
extern int vizir1_parents(struct vizir *);

#endif
