/* --- Ansi C --- */
//////////////////////////////////////////////////////////////////////
// Copyright (C) 2003-2022 CEA/DES
// 
// This program is free software: you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public License
// as published by the Free Software Foundation, either version 3 of
// the License, or any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public
// License along with this program. 
// if not, see <http://www.gnu.org/licenses/>.
//////////////////////////////////////////////////////////////////////
/*!
 \file   vizir.h
 \author Gilles ARNAUD <Gilles.Arnaud@cea.fr>
 \date   2003-12-11
 
 \brief  fonction interface pour vizir
*/

#ifndef __VIZIR__
#define __VIZIR__

#include "vizir/vzrfun_std.h"
#include "vizir/vzragent_api.h"
#include "vizir/vzr_pareto.h"

#include "genetic/vzr_query.h"
#include "genetic/vzr_agent.h"
#include "genetic/vzr_core.h"
#include "genetic/vzr_naitre.h"

#endif

