
#ifndef libVizir2_EXPORT_H
#define libVizir2_EXPORT_H

#ifdef libVizir2_BUILT_AS_STATIC
#  define libVizir2_EXPORT
#  define LIBVIZIR2_NO_EXPORT
#else
#  ifndef libVizir2_EXPORT
#    ifdef libVizir2_EXPORTS
        /* We are building this library */
#      define libVizir2_EXPORT __declspec(dllexport)
#    else
        /* We are using this library */
#      define libVizir2_EXPORT __declspec(dllimport)
#    endif
#  endif

#  ifndef LIBVIZIR2_NO_EXPORT
#    define LIBVIZIR2_NO_EXPORT 
#  endif
#endif

#ifndef LIBVIZIR2_DEPRECATED
#  define LIBVIZIR2_DEPRECATED __declspec(deprecated)
#  define LIBVIZIR2_DEPRECATED_EXPORT libVizir2_EXPORT __declspec(deprecated)
#  define LIBVIZIR2_DEPRECATED_NO_EXPORT LIBVIZIR2_NO_EXPORT __declspec(deprecated)
#endif

#define DEFINE_NO_DEPRECATED 0
#if DEFINE_NO_DEPRECATED
# define LIBVIZIR2_NO_DEPRECATED
#endif

#endif
