//////////////////////////////////////////////////////////////
// Copyright (C) 2013-2022 CEA/DES
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation, either version 3 of the License, or any
// later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//////////////////////////////////////////////////////////////
#include <cppunit/Test.h>
#include <cppunit/tools/XmlDocument.h>
#include <cppunit/tools/XmlElement.h>
#include "TestXmlOutputterHook.h"

TestXmlOutputterHook::TestXmlOutputterHook(const std::string projectName,
        const std::string author)
{
    m_projectName = projectName;
    m_author = author;
    m_beginTime = new TDatime();

}
;

TestXmlOutputterHook::~TestXmlOutputterHook()
{
    delete m_beginTime;
    m_beginTime = NULL;
}

void TestXmlOutputterHook::setModule(const std::string moduleName,
        const std::string versionName)
{
    m_moduleName = moduleName;
    m_versionName = versionName;

}
