#ifndef TIMER_H
#define TIMER_H

#include <chrono>

/// A Timer.
class Timer
{
public:
    void start();
    void finish();
    double elapsedTime() const;

private:
    std::chrono::time_point<std::chrono::steady_clock> beginTime;
    double duration;
};

#endif  // TIMER_H
