#############################################################
##   PYTHON
##  Launch buildpackages.py if Python availabled
#############################################################
if(Python_Development_FOUND)
    message(STATUS "")
    message(STATUS "///   Create the python scripts to access URANIE modules in pyROOT")

    set(LIST_DEF)
    foreach(def ${ALL_DEFINITION})
        set(LIST_DEF "${LIST_DEF} ${def}")
    endforeach()

    if(EXISTS ${CMAKE_BINARY_DIR}/lib/python)
        execute_process(COMMAND ${CMAKE_COMMAND} 
                        -E remove_directory ${CMAKE_BINARY_DIR}/lib/python 
                        OUTPUT_VARIABLE BLA)
    endif(EXISTS ${CMAKE_BINARY_DIR}/lib/python)
    if(NOT EXISTS ${CMAKE_BINARY_DIR}/lib)
        execute_process(COMMAND ${CMAKE_COMMAND}
                        -E make_directory ${CMAKE_BINARY_DIR}/lib 
                        OUTPUT_VARIABLE BLA)
    endif(NOT EXISTS ${CMAKE_BINARY_DIR}/lib)
    execute_process(COMMAND ${CMAKE_COMMAND} 
                    -E make_directory ${CMAKE_BINARY_DIR}/lib/python 
                    OUTPUT_VARIABLE BLA)

                  find_program(LOCAL_PYTHON_EXEC ${Python_EXECUTABLE})
                  if( ${LOCAL_PYTHON_EXEC}  STREQUAL "")
                    set(LOCAL_PYTHON_EXEC python)
                  endif( ${LOCAL_PYTHON_EXEC}  STREQUAL "")
                  
    execute_process(COMMAND ${LOCAL_PYTHON_EXEC} 
                    ${CMAKE_SOURCE_DIR}/buildpackage.py 
                    ${CMAKE_SOURCE_DIR} 
                    ${CMAKE_BINARY_DIR}/lib 
                    ${LIST_DEF} 
                    OUTPUT_VARIABLE BLA)
    #EXEC_PROGRAM(python2 ARGS ${CMAKE_SOURCE_DIR}/buildpackage.py ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} OUTPUT_VARIABLE BLA)
    # install(FILES ${CMAKE_BINARY_DIR}/lib/python/loadmodules.py 
    #         DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/python)
    install(DIRECTORY ${CMAKE_BINARY_DIR}/lib/python/URANIE     
            DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/python)
    # install(FILES ${CMAKE_BINARY_DIR}/lib/python/pyuranie       
    #         DESTINATION ${CMAKE_INSTALL_PREFIX}/bin 
    #         PERMISSIONS OWNER_READ GROUP_READ WORLD_READ OWNER_WRITE 
    #                     GROUP_WRITE OWNER_EXECUTE GROUP_EXECUTE WORLD_EXECUTE)
    message(STATUS "")
endif(Python_Development_FOUND)
