//////////////////////////////////////////////////////////////
// Copyright (C) 2013-2022 CEA/DES
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation, either version 3 of the License, or any
// later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//////////////////////////////////////////////////////////////

#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;

#pragma link C++ class URANIE::Launcher::TLauncherFunction+;

#pragma link C++ class URANIE::Launcher::TLauncher+;
#pragma link C++ class URANIE::Launcher::TLauncherByStep+;

#pragma link C++ class URANIE::Launcher::TCode+;

#ifdef WITH_FMI
#pragma link C++ class URANIE::Launcher::TCodeFMU+;
#pragma link C++ class URANIE::Launcher::TInputFileFMU+;
#pragma link C++ class URANIE::Launcher::TOutputFileFMU+;
#endif

#pragma link C++ class URANIE::Launcher::TCodeFile+;
#pragma link C++ class URANIE::Launcher::TInputFile+;
#pragma link C++ class URANIE::Launcher::TInputFileRecreate+;

#pragma link C++ class URANIE::Launcher::TOutputFile+;
#pragma link C++ class URANIE::Launcher::TOutputFileDataServer+;

#ifndef WIN32
#pragma link C++ class URANIE::Launcher::TLauncherMulti+;
#pragma link C++ class URANIE::Launcher::TCluster+;
#pragma link C++ class URANIE::Launcher::TSlurmCluster+;
#pragma link C++ class URANIE::Launcher::TLSFCluster+;
#pragma link C++ class URANIE::Launcher::TSGECluster+;
#pragma link C++ class URANIE::Launcher::TLocalHostCluster+;
#pragma link C++ class URANIE::Launcher::TLoadLevelerCluster+;
#ifdef WITH_LIBSSH
#pragma link C++ class URANIE::Launcher::TLauncherByStepRemote+;
#endif
#endif

#ifndef OLDCLUB
#pragma link C++ class TamponTexte+;
#endif

#pragma link C++ class URANIE::Launcher::TInputFileKey+;
#pragma link C++ class URANIE::Launcher::TInputFileFlag+;
#pragma link C++ class URANIE::Launcher::TOutputFileKey+;
#pragma link C++ class URANIE::Launcher::TOutputFileRow+;
#pragma link C++ class URANIE::Launcher::TOutputFileColumn+;

#ifdef WITH_LIBXML2
#pragma link C++ class URANIE::Launcher::TOutputFileXML+;
#endif

#ifdef WITH_LIBXSLT
#pragma link C++ class URANIE::Launcher::TInputFileXML+;
#endif

