{
  TDataServer * tds = new TDataServer();
  tds->fileDataRead("flowrate_sampler_launcher_500.dat"); // Read the database

  TLinearRegression *tlin = new TLinearRegression(tds, "rw:r:tu:tl:hu:hl:l:kw", "yhat"); // Create the linear regression
  tlin->estimate(); // Estimate the parameters

  cout << " ** R2[" << tlin->getR2() << "] R2A[" << tlin->getR2Adjusted() << "] QR2[" << tlin->getQ2() << "]" << endl; 

  tlin->exportFunction("c++", "myASCIIFile", "myFunction");
  }