#ifndef UTILWIN32_HPP
#define UTILWIN32_HPP

#include <errno.h>
#include <math.h>
#include <cmath>
#include <sstream>
#include <stdexcept>

#define __HI(x) *(1+(int*)&x)
#define __LO(x) *(int*)&x

#include "asa109.h" 
 
double erf(double);

double erfc(double);

double r8_gamma(double x);

double lgamma(double);

double tgamma(double);


#endif