//////////////////////////////////////////////////////////////
// Copyright (C) 2013-2022 CEA/DES
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation, either version 3 of the License, or any
// later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//////////////////////////////////////////////////////////////
#include "globals.h"

namespace OPTPP
{

typedef void (*OPTPPINITFCN)(int, NEWMAT::ColumnVector&);
typedef void (*USERFCN0)(int, const NEWMAT::ColumnVector&, real&, int&);
typedef void (*USERFCN1)(int, int, const NEWMAT::ColumnVector&, real&,
        NEWMAT::ColumnVector&, int&);
typedef void (*USERFCN2)(int, int, const NEWMAT::ColumnVector&, real&,
        NEWMAT::ColumnVector&, NEWMAT::SymmetricMatrix&, int&);
}
