/* --- Ansi C --- */
//////////////////////////////////////////////////////////////////////
// Copyright (C) 2013-2022 CEA/DES
// 
// This program is free software: you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public License
// as published by the Free Software Foundation, either version 3 of
// the License, or any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public
// License along with this program. 
// if not, see <http://www.gnu.org/licenses/>.
//////////////////////////////////////////////////////////////////////
/*!
 \file   pso_guide.h
 \author Gilles ARNAUD <Gilles.Arnaud@cea.fr>
 \date   2013-11-14
 
 \brief  choix des points attracteurs
*/

#ifndef __PSO_GUIDE__
#define __PSO_GUIDE__

#include "pso_struct.h"

extern struct psomate psomate_std;
extern struct psomate psomate_tournoi;
extern struct psomate psomate_elite;
extern struct psomate psomate_other;
extern struct psomate psomate_ieme;

#endif
