/* --- Ansi C --- */
//////////////////////////////////////////////////////////////////////
// Copyright (C) 2013-2022 CEA/DES
// 
// This program is free software: you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public License
// as published by the Free Software Foundation, either version 3 of
// the License, or any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public
// License along with this program. 
// if not, see <http://www.gnu.org/licenses/>.
//////////////////////////////////////////////////////////////////////
/*!
 \file   vzr_survie.h
 \author Gilles ARNAUD <Gilles.Arnaud@cea.fr>
 \date   2013-08-26
 
 \brief  survie de la population
*/

#ifndef __VZR_SURVIE__
#define __VZR_SURVIE__

struct vzrpop;

void valid_reorder(int size, int *idx);

void pareto_survive(void *info, int size, int soon, struct vzrpop *self);
void pair_survive(void *info, int size, int soon, struct vzrpop *self);

#endif

