//////////////////////////////////////////////////////////////
// Copyright (C) 2013-2022 CEA/DES
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation, either version 3 of the License, or any
// later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//////////////////////////////////////////////////////////////
//Declarations algebra_memory.c 

#ifndef ALGEBRA_MEMORY_H
#define ALGEBRA_MEMORY_H

int **imatrix(int, int, int, int);

int *ivector(int, int);

void free_imatrix(int **, int, int, int, int);

void free_ivector(int *, int, int);

double **dmatrix(int, int, int, int);

double *dvector(int, int);

void free_dmatrix(int **, int, int, int, int);

void free_dvector(int **, int, int);

int grow_imatrix_byrows(int ***, int, int, int);

#endif
