//////////////////////////////////////////////////////////////
// Copyright (C) 2013-2022 CEA/DES
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation, either version 3 of the License, or any
// later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//////////////////////////////////////////////////////////////

#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;

#pragma link C++ namespace URANIE::Sensitivity;

#pragma link C++ class URANIE::Sensitivity::TSensitivity+;
#pragma link C++ class URANIE::Sensitivity::TRegression+;
#pragma link C++ class URANIE::Sensitivity::TJohnsonRW+;
#pragma link C++ class URANIE::Sensitivity::TSobol+;
#pragma link C++ class URANIE::Sensitivity::TShapley+;
#pragma link C++ class URANIE::Sensitivity::TScreeming+;
#pragma link C++ class URANIE::Sensitivity::TMorris+;
#pragma link C++ class URANIE::Sensitivity::TSensitivityTest+;
#pragma link C++ class URANIE::Sensitivity::TCMN+;
#pragma link C++ class URANIE::Sensitivity::THSIC+;
#pragma link C++ class URANIE::Sensitivity::TFiniteDifferences+;
#pragma link C++ class URANIE::Sensitivity::TDGSM+;

#ifdef WITH_FFTW
#pragma link C++ class URANIE::Sensitivity::TFast+;
#pragma link C++ class URANIE::Sensitivity::TRBD+;
#endif

