#include "uranie_commands.h"
#include "mpi_commands.h"
#include "mpi_config.h"

std::string UranieTests::mpi_command(int nProc, const std::string& command, bool redirect_output) {
    std::string core_command = command_prefix() + MPIEXEC + " " + MPIEXEC_NUMPROC_FLAG + " " +
        std::to_string(nProc) + " " + MPIEXEC_OVERSUBSCRIBE + " " + command;

    return uranie_command(core_command, redirect_output);
}
