#include "Timer.h"

void Timer::start()
{
    beginTime = std::chrono::steady_clock::now();
}

void Timer::finish()
{
    auto endTime = std::chrono::steady_clock::now();
    duration = static_cast<double>((endTime - beginTime) / std::chrono::milliseconds(1));
}

double Timer::elapsedTime() const
{
    return duration;
}
