
#ifndef libopt_EXPORT_H
#define libopt_EXPORT_H

#ifdef libopt_BUILT_AS_STATIC
#  define libopt_EXPORT
#  define LIBOPT_NO_EXPORT
#else
#  ifndef libopt_EXPORT
#    ifdef libopt_EXPORTS
        /* We are building this library */
#      define libopt_EXPORT __declspec(dllexport)
#    else
        /* We are using this library */
#      define libopt_EXPORT __declspec(dllimport)
#    endif
#  endif

#  ifndef LIBOPT_NO_EXPORT
#    define LIBOPT_NO_EXPORT
#  endif
#endif

#ifndef LIBOPT_DEPRECATED
#  define LIBOPT_DEPRECATED __declspec(deprecated)
#  define LIBOPT_DEPRECATED_EXPORT libopt_EXPORT __declspec(deprecated)
#  define LIBOPT_DEPRECATED_NO_EXPORT LIBOPT_NO_EXPORT __declspec(deprecated)
#endif

#define DEFINE_NO_DEPRECATED 0
#if DEFINE_NO_DEPRECATED
# define LIBOPT_NO_DEPRECATED
#endif

#endif
