
#ifndef libnewmat_EXPORT_H
#define libnewmat_EXPORT_H

#ifdef libnewmat_BUILT_AS_STATIC
#  define libnewmat_EXPORT
#  define LIBNEWMAT_NO_EXPORT
#else
#  ifndef libnewmat_EXPORT
#    ifdef libnewmat_EXPORTS
        /* We are building this library */
#      define libnewmat_EXPORT __declspec(dllexport)
#    else
        /* We are using this library */
#      define libnewmat_EXPORT __declspec(dllimport)
#    endif
#  endif

#  ifndef LIBNEWMAT_NO_EXPORT
#    define LIBNEWMAT_NO_EXPORT 
#  endif
#endif

#ifndef LIBNEWMAT_DEPRECATED
#  define LIBNEWMAT_DEPRECATED __declspec(deprecated)
#  define LIBNEWMAT_DEPRECATED_EXPORT libnewmat_EXPORT __declspec(deprecated)
#  define LIBNEWMAT_DEPRECATED_NO_EXPORT LIBNEWMAT_NO_EXPORT __declspec(deprecated)
#endif

#define DEFINE_NO_DEPRECATED 0
#if DEFINE_NO_DEPRECATED
# define LIBNEWMAT_NO_DEPRECATED
#endif

#endif
